<?php

/*
 * Plugin name: Displet RETS / IDX Plugin
 * Plugin URI: http://displet.com/wordpress-plugins/displet-rets-idx-plugin/
 * Description: RETS/IDX Plugin that inserts real estate listings, statistics, maps, and quick searches into Wordpress pages & widget ready sidebars.
 * Version: 1.5.0.5
 * Author: Displet
 * Author URI: http://displet.com/
 * License: GPL2
 */

/*  Copyright 2011 Displet (email : dev@displet.com)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2, as 
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

// Get Displet RETS/IDX (new) options
$displet_rets_idx_options = get_option('displet_rets_idx_options');
$upgrade_to_idx = $displet_rets_idx_options['displet_rets_idx_option_upgrade'];

// Get DispletReader (legacy) options
$displetreader_options = get_option('displetreader');

// Get DispletReader WordPress Plugin options (base)
$displetreader_wordpress_plugin_options = get_option('displetreader_wordpress_plugin_options');
$use_freemium = $displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_freemium'];

// If base option updated, update DispletReader options
if (!empty($displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_url'])) {
	if (substr($displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_url'], -1) !== '/') {
		$displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_url'] .= '/';
	}
	$displetreader_options['displet_url'] = $displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_url'];
	update_option('displetreader', $displetreader_options);
}

$displet_url = $displetreader_options['displet_url'];

// If already have a Displet IDX URL saved
if (!empty($displet_url)) {
	require_once 'displetreader-wordpress-plugin/DispletReader.php';
	// Reset base Displet URL to allow removal (loops otherwise)
	$displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_url'] = '';
	// Reset Displet WordPress Plugin freemium
	$displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_freemium'] = 0;
	// Reset Displet WordPress Plugin activated fremium
	$displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_activated_freemium'] = false;
	update_option('displetreader_wordpress_plugin_options', $displetreader_wordpress_plugin_options);
}
// Checked upgrade box from Freemium
else if ($upgrade_to_idx == 1 && $use_freemium == 1) {
	// Reset Displet RETS/IDX upgrade to allow removal (loops otherwise)
	$displet_rets_idx_options['displet_rets_idx_option_upgrade'] = 0;
	update_option('displet_rets_idx_options', $displet_rets_idx_options);
	// Reset Displet WordPress Plugin freemium to allow removal (loops otherwise)
	$displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_freemium'] = 0;
	update_option('displetreader_wordpress_plugin_options', $displetreader_wordpress_plugin_options);
	require_once 'displetreader-wordpress-plugin-settings.php';
}
// If no account and have checked freemium on base options page
else if ($use_freemium == 1) {
	// Register default page for Property Details & Search Results
	function displet_rets_idx_register_default_page (){
	    $has_default_page = get_page_by_path('rets');
	    if (!$has_default_page) {    
	        $displet_default_rets_idx_page = array(
	          'post_name' => 'rets',
	          'post_title' => 'Real Estate',
	          'post_type' => 'page',
	          'post_status' => 'publish'
	        );
	        wp_insert_post($displet_default_rets_idx_page);
	    }
	}
	if (!isset($displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_activated_freemium']) || $displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_activated_freemium'] == false) {
		add_action('init', 'displet_rets_idx_register_default_page');
		$displetreader_wordpress_plugin_options['displetreader_wordpress_plugin_option_displet_activated_freemium'] = true;
		update_option('displetreader_wordpress_plugin_options', $displetreader_wordpress_plugin_options);
	}
	require_once 'rets-idx/displet-rets-idx.php';
}
// Displet base options page
else{
	require_once 'displetreader-wordpress-plugin-settings.php';
}

?>