<?php

/**
 * Define our settings sections
 *
 * array key=$id, array value=$title in: add_settings_section( $id, $title, $callback, $page );
 * @return array
 */
function displetreader_wordpress_plugin_option_page_sections() {
	
	$sections = array();
	// $sections[$id] 						= __($title, 'displet_textdomain');
	$sections['general']					= __('General', 'displet_textdomain');
	//$sections['txt_section'] 		= __('Text Form Fields', 'displet_textdomain');
	//$sections['txtarea_section'] 	= __('Textarea Form Fields', 'displet_textdomain');
	//$sections['select_section'] 	= __('Select Form Fields', 'displet_textdomain');
	//$sections['checkbox_section'] 	= __('Checkbox Form Fields', 'displet_textdomain');
	
	return $sections;	
}

/**
 * Define our form fields (settings) 
 *
 * @return array
 */
function displetreader_wordpress_plugin_option_page_fields() {

	// General section
	$options[] = array(
		"section" => "general",
		"id"      => DISPLETREADER_WORDPRESS_PLUGIN_SHORTNAME . "_displet_url",
		"title"   => __( 'Displet RETS/IDX URL', 'displet_textdomain' ),
		"desc"    => __( 'Enter your Displet RETS/IDX URL, or check the box below to use a free account.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => "",
		"class"   => "url"
	);

	$options[] = array(
		"section" => "general",
		"id"      => DISPLETREADER_WORDPRESS_PLUGIN_SHORTNAME . "_displet_freemium",
		"title"   => __( 'Use Free Version (Does Not Have RETS/IDX Data)', 'displet_textdomain' ),
		"desc"    => __( 'We offer a free version of our popular RETS/IDX plugin that you may use by checking this box. For complete and accurate listing data, upgrading to a RETS/IDX account will be necessary.', 'displet_textdomain' ),
		"type"    => "checkbox",
		"std"     => 0
	);
	
	return $options;	
}

/**
 * Contextual Help
 */
function displetreader_wordpress_plugin_option_page_contextual_help() {
	
	$text 	= "<h3>" . __('displet Settings - Contextual Help','displet_textdomain') . "</h3>";
	$text 	.= "<p>" . __('Contextual help goes here. You may want to use different html elements to format your text as you want.','displet_textdomain') . "</p>";
	
	// must return text! NOT echo
	return $text;
}

?>