<?php

function displet_rets_idx_are_we_in($f) {
	$aray = debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS);
	foreach($aray as $a) {	$aa[] = $a["function"];	}
	if(in_array($f,$aa)) { return true; }
	return false;
}

// Swap template's the_content with our content
function displet_property_details_page_content($content) {
	// Do stuff to $content, which contains the_content()
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	$page_id = $displet_rets_idx_option['displet_rets_idx_option_property_details_page_id'];
	global $wp_query;
	$property_id = $wp_query->query_vars['property_id'];
	if (is_page($page_id) && !empty($property_id) && in_the_loop()) {
		$model = array();
		$model['property_id'] = $property_id;
		$content = '<script>loadDispletAPIPropertyDetails(' . $property_id . ');</script>';
		$content .= DispletRetsIdxLoad::get_template('displet-property-details-page-jquery.php', $model);
		$content .= DispletRetsIdxLoad::get_template('displet-property-details-page-content.php', $model);
	}
	return $content;
}
add_filter('the_content', 'displet_property_details_page_content');

// Swap template's the_title with our title
function displet_property_details_page_title($title) {
	// Do stuff to $title, which contains the_title()
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	$page_id = $displet_rets_idx_option['displet_rets_idx_option_property_details_page_id'];
	global $wp_query, $post, $id;
	$property_id = $wp_query->query_vars['property_id'];
	if (is_page($page_id) && !empty($property_id) && $id == $post->ID && in_the_loop() && displet_rets_idx_are_we_in('the_title')) {
		$model = array();
		$model['property_id'] = $property_id;
		$title = DispletRetsIdxLoad::get_template('displet-property-details-page-title.php', $model);
	}
	return $title;
}
add_filter('the_title', 'displet_property_details_page_title');

// Adding the property_id query string parameter so that WP acknowledges it
function displet_insert_query_variable_for_rewrite($vars){
    array_push($vars, 'property_id');
    return $vars;
}
add_filter('query_vars','displet_insert_query_variable_for_rewrite');
// Adding a new rewrite rule for permalink structure
function displet_insert_rewrite_rules($rules){
	$newrules = array();
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	$id = $displet_rets_idx_option['displet_rets_idx_option_property_details_page_id'];
	$pagename = get_page($id)->post_name;
	$newrules['(' . $pagename . ')/(\d*)$'] = 'index.php?pagename=$matches[1]&property_id=$matches[2]';
	return $newrules + $rules;
}
add_filter('rewrite_rules_array', 'displet_insert_rewrite_rules');
// flush_rules() if our rules are not yet included
function displet_flush_rewrite_rules(){
	$rules = get_option('rewrite_rules');
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	$id = $displet_rets_idx_option['displet_rets_idx_option_property_details_page_id'];
	$pagename = get_page($id)->post_name;
	if (!isset($rules['(' . $pagename . ')/(\d*)$'])){
		global $wp_rewrite;
	   	$wp_rewrite->flush_rules();
	}
}
add_action('wp_loaded', 'displet_flush_rewrite_rules');

// Send mail from Request Showing / Email To Friend AJAX callback
function displet_ajax_send_mail(){
	// Get email of admin(s)
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	$admin_email = (!empty($displet_rets_idx_option['displet_rets_idx_option_email'])) ? $displet_rets_idx_option['displet_rets_idx_option_email'] : get_option('admin_email');
	if (strpos($admin_email, ',') !== false) {
		$admin_emails = explode(',', $admin_email);
		$admin_email = array();
		foreach ($admin_emails as $email) {
			$admin_email[] = trim($email);
		}
	}
	// Check nonce for security
	check_ajax_referer('displet_email_ajax_nonce');
	// Property showing request
	if (isset($_POST['action']) && $_POST['action'] == 'displet_property_showing_request'){
		$message = $_POST['url'] . ' Property: ' . $_POST['address'] . ', ' . $_POST['city'] . ', ' . $_POST['state'] . ' ' . $_POST['zip'] . ' Name: ' . $_POST['name'] . ' Email: ' . $_POST['email'] . ' Phone: ' . $_POST['phone'] . ' Appointment 1: ' . $_POST['appointment1'] . ' Appointment 2: ' . $_POST['appointment2'] . ' Message: ' . $_POST['message'];
		wp_mail($admin_email, 'Property Showing Request', $message);
		echo 'Your request has been sent.';
		die();
	}
	// Email friend request
	else if (isset($_POST['action']) && $_POST['action'] == 'displet_email_friend_request'){
		// Message to admin
		$admin_message = $_POST['url'] . ' Property: ' . $_POST['address'] . ', ' . $_POST['city'] . ', ' . $_POST['state'] . ' ' . $_POST['zip'] . ' Friend Name: ' . $_POST['name'] . ' Friend Email: ' . $_POST['email'] . ' User Message: ' . $_POST['message'];
		wp_mail($admin_email, 'Property Emailed To A Friend', $admin_message);
		// Message to friend
		$friend_message = $_POST['url'] . ' Property: ' . $_POST['address'] . ', ' . $_POST['city'] . ', ' . $_POST['state'] . ' ' . $_POST['zip'] . ' Friend\'s Message: ' . $_POST['message'];
		wp_mail($_POST['email'], $_POST['name'] . ' Thinks You Might Like ' . $_POST['address'], $friend_message);
		echo 'Your message has been sent.';
		die();
	}
	// On error
	echo 'We\'re sorry, there was an error processing your request. Please try again.';
	die();
}
add_action('wp_ajax_displet_property_showing_request', 'displet_ajax_send_mail');
add_action('wp_ajax_nopriv_displet_property_showing_request', 'displet_ajax_send_mail');
add_action('wp_ajax_displet_email_friend_request', 'displet_ajax_send_mail');
add_action('wp_ajax_nopriv_displet_email_friend_request', 'displet_ajax_send_mail');

?>