/*! jQuery Cookie Plugin
* https://github.com/carhartl/jquery-cookie */
(function(e){e.cookie=function(t,n,r){if(arguments.length>1&&(!/Object/.test(Object.prototype.toString.call(n))||n===null||n===undefined)){r=e.extend({},r);if(n===null||n===undefined){r.expires=-1}if(typeof r.expires==="number"){var i=r.expires,s=r.expires=new Date;s.setDate(s.getDate()+i)}n=String(n);return document.cookie=[encodeURIComponent(t),"=",r.raw?n:encodeURIComponent(n),r.expires?"; expires="+r.expires.toUTCString():"",r.path?"; path="+r.path:"",r.domain?"; domain="+r.domain:"",r.secure?"; secure":""].join("")}r=n||{};var o=r.raw?function(e){return e}:decodeURIComponent;var u=document.cookie.split("; ");for(var a=0,f;f=u[a]&&u[a].split("=");a++){if(o(f[0])===t)return o(f[1]||"")}return null}})(jQuery);

/*********************
Global Functions
*********************/

function displetretsidxCommasToNumber(val){
	if (val){
		while (/(\d+)(\d{3})/.test(val.toString())){
			val = val.toString().replace(/(\d+)(\d{3})/, '$1'+','+'$2');
		}
	}
	return val;
}

/*********************
API Functions
*********************/

function loadDispletAPIListings(query_url) {jQuery(function($){
	$('.displet-listings-loading').show();
	// Use JSON to get the content
	$.getJSON(query_url, null, function(data) {
		$('.displet-listing').hide();
		if (data.meta.total > 0){
			// Fill controls
			$('.displet-no-results').hide();
			$('.displet-total-listings-value').html(displetretsidxCommasToNumber(data.meta.total));
			$('.displet-first-listings-value').html(data.meta.first);
			$('.displet-last-listings-value').html(data.meta.last);
			// Has map
			var has_map = $('#displet-map').length;
			if (has_map) {
				var displet_map_listings_array = new Array();
			}
			// Fill listings
			var i = 1;
			$.each(data.listings, function() {
				var element = '.displet_json_response .displet-listing-' + i;
				if (this.images.length) {
					$(element).find('.displet-image-value').attr('src', this.images[0].src);
				}
				$(element).attr('href', $(element).attr('name') + this.id);
				$(element).find('.displet-price-value').html(displetretsidxCommasToNumber(this.attributes.price));
				(this.location.address != undefined) ? $(element).find('.displet-address-value').html(this.location.address) : $(element).find('.displet-address').hide();
				(this.location.name != undefined) ? $(element).find('.displet-city-value').html(this.location.name) : $(element).find('.displet-city').hide();
				(this.location.state != undefined) ? $(element).find('.displet-state-value').html(this.location.state) : $(element).find('.displet-state').hide();
				(this.location.zip != undefined) ? $(element).find('.displet-zip-value').html(this.location.zip) : $(element).find('.displet-zip').hide();
				(this.attributes.bedrooms != undefined) ? $(element).find('.displet-beds-value').html(this.attributes.bedrooms) : $(element).find('.displet-beds').hide();
				(this.attributes.bathrooms != undefined) ? $(element).find('.displet-baths-value').html(this.attributes.bathrooms) : $(element).find('.displet-baths').hide();
				(this.attributes.square_feet != undefined) ? $(element).find('.displet-square-feet-value').html(displetretsidxCommasToNumber(this.attributes.square_feet)) : $(element).find('.displet-square-feet').hide();
				(this.category.name != undefined) ? $(element).find('.displet-property-type-value').html(this.category.name.replace('Houses', 'House').replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt')) : $(element).find('.displet-property-type').hide();
				(this.attributes.mls_id != undefined) ? $(element).find('.displet-mls-value').html(this.attributes.mls_id) : $(element).find('.displet-mls').hide();
				(this.body != undefined) ? $(element).find('.displet-description-value').html(this.body) : $(element).find('.displet-description').hide();
				// Add map marker
				if (has_map) {
					var this_listing = [this.location.latitude, this.location.longitude, this.attributes.price, this.location.address];
					displet_map_listings_array.push(this_listing);
				}
				$(element).fadeIn(400);
				i++;
			});
			// Hovertrans
			if ($('#displet-tile').is(':visible')) {
				$('#displet-tile').data('displet_tile').hovertrans();
			}
			else if ($('#displet-listings').is(':visible')) {
				$('#displet-listings').data('displet_listings').hovertrans();
			}
			// Render map
			if (has_map) {
				renderDispletMap(displet_map_listings_array);
			}
			// Save query for pagination use
			$('.displet-previous-link').attr('displet_query', query_url);
			$('.displet-next-link').attr('displet_query', query_url);
		}
		// No listings
		else{
			// Fill controls
			$('.displet-total-listings-value').html('0');
			$('.displet-first-listings-value').html('0');
			$('.displet-last-listings-value').html('0');
			// Fill listings
			$('.displet_json_response .displet-listing').hide();
			$('.displet_json_response').after('<div class="displet-no-results">No listings available.</div>');
		}
		$('.displet-listings-loading').hide();
		// Save last query as cookie for sorting/pagination recall
		$.cookie('displet_last_viewed_listings_query', query_url);
	});
});}

function loadDispletAPIPropertyDetails(property_id) {jQuery(function($){
	$('.displet-listings-loading').show();
	var query_url = 'http://api.oodle.com/api/v2/listings?key=579B95506556&format=json&jsoncallback=none&region=usa&q=' + property_id;
	// Use JSON to get the content
	$.getJSON(query_url, null, function(data) {
		$.each(data.listings, function() {
			// Elements to find and fill/replace
			(this.attributes.price != undefined) ? $('#displet-property-details').find('.displet-price-value').html(displetretsidxCommasToNumber(this.attributes.price)) : $('#displet-property-details').find('.displet-price').hide();
			(this.location.address != undefined) ? $('#displet-property-details, #displet-property-details-title').find('.displet-address-value').html(this.location.address) : $('#displet-property-details').find('.displet-address').hide();
			(this.location.name != undefined) ? $('#displet-property-details').find('.displet-city-value').html(this.location.name) : $('#displet-property-details').find('.displet-city').hide();
			(this.location.state != undefined) ? $('#displet-property-details').find('.displet-state-value').html(this.location.state) : $('#displet-property-details').find('.displet-state').hide();
			(this.location.zip != undefined) ? $('#displet-property-details').find('.displet-zip-value').html(this.location.zip) : $('#displet-property-details').find('.displet-zip').hide();
			(this.attributes.bedrooms != undefined) ? $('#displet-property-details').find('.displet-beds-value').html(this.attributes.bedrooms) : $('#displet-property-details').find('.displet-beds').hide();
			(this.attributes.bathrooms != undefined) ? $('#displet-property-details').find('.displet-baths-value').html(this.attributes.bathrooms) : $('#displet-property-details').find('.displet-baths').hide();
			(this.attributes.square_feet != undefined) ? $('#displet-property-details').find('.displet-square-feet-value').html(displetretsidxCommasToNumber(this.attributes.square_feet)) : $('#displet-property-details').find('.displet-square-feet').hide();
			(this.category.name != undefined) ? $('#displet-property-details').find('.displet-property-type-value').html(this.category.name.replace('Houses', 'House').replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt')) : $('#displet-property-details').find('.displet-property-type').hide();
			(this.attributes.mls_id != undefined) ? $('#displet-property-details').find('.displet-mls-value').html(this.attributes.mls_id) : $('#displet-property-details').find('.displet-mls').hide();
			(this.body != undefined) ? $('#displet-property-details').find('.displet-description-value').html(this.body) : $('#displet-property-details').find('.displet-description').hide();
			(this.attributes.amenities != undefined) ? $('#displet-property-details').find('.displet-amenities-value').html(this.attributes.amenities) : $('#displet-property-details').find('.displet-amenities').hide();
			(this.attributes.year != undefined) ? $('#displet-property-details').find('.displet-year-built-value').html(this.attributes.year) : $('#displet-property-details').find('.displet-year-built').hide();
			if (this.images.length) {
				var images_array = new Array();
				// Get largest of each image
				for (var i = 0; i < this.images.length; i++) {
					if (this.images[i].num == last_num || i == this.images.length - 1) {
						var last_src = '<span class="displet-image" style="background-image:url(' + this.images[i].src + ');"><img src="' + this.images[i].src + '" /></span>';
					}
					if (this.images[i].num > last_num || i == this.images.length - 1) {
						images_array.push(last_src);
					}
					var last_num = this.images[i].num;
				};
				$('#displet-property-details').find('.displet-photos-large-value').html(images_array[0]);
				var images_html = '';
				for (var i = images_array.length - 1; i >= 0; i--) {
					images_html += images_array[i];
				};
				$('#displet-property-details').find('.displet-photos-thumbs-value').html(images_html);
				displetSmallToLargePhotos();
			}
			else{
				$('#displet-property-details').find('.displet-photos').hide();
			}
			if (this.location.latitude && this.location.longitude && this.location.address && this.location.name && this.location.state) {
				var map_html = '<iframe class="displet-map-iframe" width="100%" height="300" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?q=' + this.location.address + ',+' + this.location.name + ',+' + this.location.state + '&amp;cbp=13,15.23,,0,0&amp;t=m&amp;z=14&amp;iwloc=A&amp;source=embed&amp;output=svembed"></iframe>';
				var street_view_html = '<iframe class="displet-street-view-iframe" width="100%" height="300" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?q=' + this.location.address + ',+' + this.location.name + ',+' + this.location.state + '&amp;layer=c&amp;cbp=13,15.23,,0,0&amp;cbll=' + this.location.latitude + ',' + this.location.longitude + '&amp;t=m&amp;z=14&amp;iwloc=A&amp;source=embed&amp;output=svembed"></iframe>';
				$('#displet-property-details').find('.displet-map').html(map_html + street_view_html);
			}
			else{
				$('#displet-property-details').find('.displet-map').hide();
			}
		});
		$('.displet-property-details-content').show();
		$('.displet-listings-loading').hide();
	});
});}

/*********************
Search Form Functions
*********************/

jQuery(document).ready(function($){
	// Reset property type to none when is_foreclosure=Y is selected
	$('#displet-search-form input[name="is_foreclosure"][value="Y"]').click(function(){
		$('#displet-search-form select[name="property_type"]').val('none');
	});
	// Reset foreclosure=Y to any when property type is selected
	$('#displet-search-form select[name="property_type"]').bind('change', function(){
		if ($('#displet-search-form input[name="is_foreclosure"][value="Y"]').is(':checked') && $(this).val() != 'none') {
			$('#displet-search-form input[name="is_foreclosure"][value="none"]').attr('checked', 'checked');
		}
	});
});

/*********************
Property Details Functions
*********************/

function displetSmallToLargePhotos(){jQuery(function($){
	$('#displet-property-details .displet-photos-thumbs-value .displet-image').click(function(){
		$('#displet-property-details .displet-photos-large-value .displet-image img').attr('src', $(this).children('img').attr('src'));
		$('#displet-property-details .displet-photos-large-value .displet-image').css('background-image', $(this).css('background-image'));
	});
});}

function displetHideShowingRequestPopup(){jQuery(function($){
	$('#displet-property-details .displet-request-showing-popup-wrapper').hide();
	$('html, body').removeClass('displet-request-showing-popup');
});}

function displetHideEmailFriendPopup(){jQuery(function($){
	$('#displet-property-details .displet-email-friend-popup-wrapper').hide();
	$('html, body').removeClass('displet-email-friend-popup');
});}

jQuery(document).ready(function($){
	// Map / Street View tabs
	$('#displet-property-details .displet-map-tabs a').click(function(){
		if (!$(this).hasClass('displet-active')) {
			if ($(this).hasClass('displet-map-select')) {
				$('#displet-property-details .displet-map .displet-map-iframe').show();
				$('#displet-property-details .displet-map .displet-street-view-iframe').hide();
				$('#displet-property-details .displet-map-tabs .displet-active').removeClass('displet-active');
				$(this).addClass('displet-active');
			}
			else{
				$('#displet-property-details .displet-map .displet-street-view-iframe').show();
				$('#displet-property-details .displet-map .displet-map-iframe').hide();
				$('#displet-property-details .displet-map-tabs .displet-active').removeClass('displet-active');
				$(this).addClass('displet-active');
			}
		}
	});
	// Request showing popup
	$('#displet-property-details .displet-request-showing').click(function(){
		$('#displet-property-details .displet-request-showing-popup-wrapper').show();
		$('html, body').addClass('displet-request-showing-popup');
		// Datepicker
		$("#showing_request_appointment1_at").datepicker({ dateFormat: 'mm-dd-yy' });
		$("#showing_request_appointment2_at").datepicker({ dateFormat: 'mm-dd-yy' });
	});
	$('#displet-property-details .displet-request-showing-popup .displet-close, #displet-property-details .displet-request-showing-popup-wrapper .displet-popup-back').click(function(){
		displetHideShowingRequestPopup();
	});
	// Email friend popup
	$('#displet-property-details .displet-email-friend').click(function(){
		$('#displet-property-details .displet-email-friend-popup-wrapper').show();
		$('html, body').addClass('displet-email-friend-popup');
	});
	$('#displet-property-details .displet-email-friend-popup .displet-close, #displet-property-details .displet-email-friend-popup-wrapper .displet-popup-back').click(function(){
		displetHideEmailFriendPopup();
	});
});

/*********************
Map Functions
*********************/

function renderDispletMap(displet_map_listings_array) {
	if (displet_map_listings_array.length !== -1) {
		var first = true;
		var bounds = new google.maps.LatLngBounds();
		// Plot marker and bounds for each listing
		for (var i = 0; i < displet_map_listings_array.length; i++){
			if (displet_map_listings_array[i][0].length !== -1 && displet_map_listings_array[i][1].length !== -1) {
				var listing_lat_long = new google.maps.LatLng(displet_map_listings_array[i][0], displet_map_listings_array[i][1]);
				// Create map if first lat/long
				if (first) {
					var map = new google.maps.Map(document.getElementById('map_canvas'), {
    					zoom: 12,
    					center: listing_lat_long,
    					mapTypeId: google.maps.MapTypeId.ROADMAP
					});
					var first = false;
				}
				var marker = new google.maps.Marker({
					map: map,
					position: listing_lat_long,
					price: displet_map_listings_array[i][2],
					address: displet_map_listings_array[i][3]
				});
				google.maps.event.addListener(marker, 'click', function() {
					onMarkerClick(this, this.price, this.address);
				});
				bounds.extend(listing_lat_long);
			}
		}
		// Interpret markers
    	var infoWindow = new google.maps.InfoWindow;
    	function onMarkerClick(marker, price, address) {
    		var latLng = marker.getPosition();
    		infoWindow.setContent('<div class="marker-inner"><h3>$' + displetretsidxCommasToNumber(price) + '</h3><h4>' + address + '</h4></div>');
    		infoWindow.open(map, marker);
    	};
    	google.maps.event.addListener(map, 'click', function() {
    		infoWindow.close();
    	});
    	// Fit to bounds
		map.fitBounds(bounds);
	}
}

jQuery(document).ready(function($){
	// Show/Hide map
	$('#displet-map .showhide .show').click(function() {
		$('#displet-map').removeClass('hiding');
		$('#displet-map').addClass('showing');
		$('#displet-map #map_canvas_outer').hide();
		$('#displet-map #map_canvas_outer').stop(true, true).slideDown(300);
	});
	$('#displet-map .showhide .hide').click(function() {
		$('#displet-map #map_canvas_outer').stop(true, true).slideUp(300);
		setTimeout(function(){
			$('#displet-map').removeClass('showing');
			$('#displet-map').addClass('hiding');
			$('#displet-map #map_canvas_outer').show();
		}, 310);
	});
});

/*********************
Tile Listings Functions
*********************/

;(function ($) {
	$.widget('displetreader.displet_tile', {
		'options': {
			'first_selector': 'span.displet-tile-counts-first',
			'last_selector': 'span.displet-tile-counts-last',
			'total_selector': 'span.displet-tile-counts-total',
			'previous_selector': 'a.displet-tile-control-prev-link',
			'next_selector': 'a.displet-tile-control-next-link',
			'sortby_selector': '.displet-tile-sortby',
			'listing_selector': '.displet-tile-listing',
			'selector_map': {
				'list-price': '.displet-tile-listing-price'
			},
		},

		'_create': function () {
			var el = this.element;
			var o = this.options;
			var self = this;

			this.first_count_el = $(o.first_selector, el);
			this.last_count_el = $(o.last_selector, el);
			this.total_count_el = $(o.total_selector, el);
			this.prev_button = $(o.previous_selector, el);
			this.next_button = $(o.next_selector, el);
			this.listings = $(o.listing_selector, el);
			this.listings_parent = this.listings.parent();
			this.sortby_select = $(o.sortby_selector, el);

			this.first_index = Number($(this.first_count_el[0]).html()) - 1;
			this.last_index = Number($(this.last_count_el[0]).html()) - 1;
			this.total_count = Number($(this.total_count_el[0]).html());

			if (this.total_count > 0) {
				this.rpp = this.last_index + 1;
				this.current_page = 1;	

				$(this.sortby_select, el).bind('change', function (ev) {
					if (this.value) {
						var original_query = $('.displet-previous-link').first().attr('displet_query');
						var start_check = /[?&]start=([^&]+)/i;
						var current_query = original_query.replace(start_check, '&start=1');
						// if price-desceding && no price_reverse in query
						if (this.value == 'price-descending' && current_query.indexOf('sort=price_reverse') === -1) {
							var new_query = current_query.replace('&sort=price', '');
							new_query += '&sort=price_reverse';
							loadDispletAPIListings(new_query);
						}
						// if price-ascending && has price_reverse in query
						else if (this.value == 'price-ascending' && current_query.indexOf('sort=price_reverse') !== -1) {
							var new_query = current_query.replace('&sort=price_reverse', '');
							new_query += '&sort=price';
							loadDispletAPIListings(new_query);
						}
						// if price-ascending && no price_reverse or price in query
						else if (this.value == 'price-ascending' && current_query.indexOf('sort=price') === -1) {
							var new_query = current_query;
							new_query += '&sort=price';
							loadDispletAPIListings(new_query);
						}
					}
				});

				$(this.next_button).click(function (ev) {
					self.next_page();
					ev.preventDefault();
					return false;
				});

				$(this.prev_button).click(function (ev) {
					self.prev_page();
					ev.preventDefault();
					return false;
				});

				this._size_listings();
				this._adjust_rpp();
				this._clear_float();
				this._make_pages();
			}
			else {
				this.first_count_el.html('0');
				this.last_count_el.html('0');
				this.total_count_el.html('0');
			}

			setTimeout(function(){
				self.listings_parent.css('min-height', self.listings_parent.height());
			}, 400);

		},

		'_adjust_rpp': function () {
			if (this.listings_per_row != 0) {
				while (this.rpp % this.listings_per_row != 0) {
					this.rpp++;
				}
			}
		},

		'display_this_view': function () {
			$('#displet-listings').fadeOut(300);
			$('#displet-tile').fadeIn(300);
			this._size_listings();
			this._adjust_rpp();
			this._clear_float();
			this._make_pages();
			this._hovertrans();
			$.cookie('displet_last_viewed_listings_orientation', 'tile', {path: '/'});
		},
		
		'hovertrans': function () {
			this._hovertrans();;
		},

		'_size_listings': function () {
			var listings_per_row = 0;
			var target_width = 0;
			var margin_total = 0;
			var margin = 0;
			this.listing_width = $(this.listings[0]).width() + 12;
			this.listings_parent_width = this.listings_parent.width();
			if (this.listing_width != 0) {
				this.listings_per_row = Math.floor(this.listings_parent_width / this.listing_width);
				target_width = Math.floor(this.listings_parent_width / this.listings_per_row);
				margin_total = target_width - this.listing_width;
				margin = Math.floor(margin_total / 2);
				this.listings.css({
					'margin-left': margin,
					'margin-right': margin
				});
			}
		},
		
		'_clear_float': function () {
			var i = 1;
			var rowlength = this.listings_per_row;
			$(this.listings).each(function(){
				$(this).removeClass('displet-clear');
				if (i % rowlength == 1) {
					$(this).addClass('displet-clear');
				}
				i++;
			});
		},
		
		'_hovertrans': function () {
			var self = this;
			$.each(this.listings, function(){
				var hovertrans = $(this).children('.displet-tile-hovertrans');
				$(hovertrans).children('.displet-inner').children('.displet-inner2').height($(hovertrans).parent('.displet-tile-listing').height() - 8);
				$(hovertrans).width($(hovertrans).parent('.displet-tile-listing').width() + 10);
				$(this).hover(
					function () {
						$(this).children('.displet-tile-hovertrans').stop(true, true).fadeIn(200);
					},
					function () {
						$(this).children('.displet-tile-hovertrans').stop(true, true).fadeOut(200);
					}
				);
			});
		},

		'_make_pages': function () {
			this.pages = {};
			var pages_count = Math.ceil(this.total_count / this.rpp);
			this.pages_count = pages_count;
			var page = 1;
			this.pages[page] = [];
			for (var i = 0; i < this.total_count; i++) {
				if (i < (page * this.rpp)) {
					this.pages[page].push(i);
				}
				else {
					page++;
					this.pages[page] = [];
					this.pages[page].push(i);
				}
			}
		},

		'next_page': function () {
			var raw_query = $(this.next_button).attr('displet_query');
			var number_check = /[?&]num=([^&]+)/i;
			var number_match = number_check.exec(raw_query);
			if (number_match != null) {
				var number = parseInt(number_match[1]);
			}
			var start_check = /[?&]start=([^&]+)/i;
			var start_match = start_check.exec(raw_query);
			if (start_match != null) {
				var start = parseInt(start_match[1]);
			}
			var new_start = '&start=' + (start + number);
			var new_query = raw_query.replace(start_check, new_start);
			this.total_count = Number($(this.total_count_el[0]).html());
			if ((start + number) <= this.total_count) {
				loadDispletAPIListings(new_query);
			}
		},

		'prev_page': function () {
			var raw_query = $(this.prev_button).attr('displet_query');
			var number_check = /[?&]num=([^&]+)/i;
			var number_match = number_check.exec(raw_query);
			if (number_match != null) {
				var number = parseInt(number_match[1]);
			}
			var start_check = /[?&]start=([^&]+)/i;
			var start_match = start_check.exec(raw_query);
			if (start_match != null) {
				var start = parseInt(start_match[1]);
			}
			var new_start = '&start=' + (start - number);
			var new_query = raw_query.replace(start_check, new_start);
			if ((start - number) >= 1) {
				loadDispletAPIListings(new_query);
			}
		},
	});

	$(function () {
		var last_viewed_orientation = $.cookie('displet_last_viewed_listings_orientation', {path: '/'});
		if (last_viewed_orientation == 'tile') {
			$('#displet-listings').hide();
			$('#displet-tile').show();
			$('#displet-dynamic .displet-list-view').removeClass('current');
			$('#displet-dynamic .displet-tile-view').addClass('current');
		}
		$('#displet-tile').displet_tile();
	});
	
})(jQuery);

/*********************
Vertical Listings Functions
*********************/

;(function ($) {
	$.widget('displetreader.displet_listings', {
		'options': {
			'first_selector': 'span.displet-listings-counts-first',
			'last_selector': 'span.displet-listings-counts-last',
			'total_selector': 'span.displet-listings-counts-total',
			'previous_selector': 'a.displet-listings-control-prev-link',
			'next_selector': 'a.displet-listings-control-next-link',
			'sortby_selector': '.displet-listings-sortby',
			'listing_selector': '.displet-listing',
			'selector_map': {
				'list-price': '.displet-listing-price-value'
			}
		},

		'_create': function () {
			var el = this.element;
			var o = this.options;
			var self = this;

			this.first_count_el = $(o.first_selector, el);
			this.last_count_el = $(o.last_selector, el);
			this.total_count_el = $(o.total_selector, el);
			this.prev_button = $(o.previous_selector, el);
			this.next_button = $(o.next_selector, el);
			this.listings = $(o.listing_selector, el);
			this.listings_parent = this.listings.parent();
			this.sortby_select = $(o.sortby_selector, el);

			this.first_index = Number($(this.first_count_el[0]).html()) - 1;
			this.last_index = Number($(this.last_count_el[0]).html()) - 1;
			this.total_count = Number($(this.total_count_el[0]).html());

			if (this.total_count > 0) {
				this.rpp = this.last_index + 1;
				this.current_page = 1;

				$(this.sortby_select, el).bind('change', function (ev) {
					if (this.value) {
						var original_query = $('.displet-previous-link').first().attr('displet_query');
						var start_check = /[?&]start=([^&]+)/i;
						var current_query = original_query.replace(start_check, '&start=1');
						// if price-desceding && no price_reverse in query
						if (this.value == 'price-descending' && current_query.indexOf('sort=price_reverse') === -1) {
							var new_query = current_query.replace('&sort=price', '');
							new_query += '&sort=price_reverse';
							loadDispletAPIListings(new_query);
						}
						// if price-ascending && has price_reverse in query
						else if (this.value == 'price-ascending' && current_query.indexOf('sort=price_reverse') !== -1) {
							var new_query = current_query.replace('&sort=price_reverse', '');
							new_query += '&sort=price';
							loadDispletAPIListings(new_query);
						}
						// if price-ascending && no price_reverse or price in query
						else if (this.value == 'price-ascending' && current_query.indexOf('sort=price') === -1) {
							var new_query = current_query;
							new_query += '&sort=price';
							loadDispletAPIListings(new_query);
						}
					}
				});

				$(this.next_button).click(function (ev) {
					self.next_page();
					ev.preventDefault();
					return false;
				});

				$(this.prev_button).click(function (ev) {
					self.prev_page();
					ev.preventDefault();
					return false;
				});

				this._make_pages();
			}
			else {
				this.first_count_el.html('0');
				this.last_count_el.html('0');
				this.total_count_el.html('0');
			}

			setTimeout(function(){
				self.listings_parent.css('min-height', self.listings_parent.height());
			}, 400);
		},

		'display_this_view': function () {
			$('#displet-tile').fadeOut(300);
			$('#displet-listings').fadeIn(300);
			this._make_pages();
			this._hovertrans();
			$.cookie('displet_last_viewed_listings_orientation', 'vertical', {path: '/'});
		},
		
		'hovertrans': function () {
			this._hovertrans();;
		},

		'_hovertrans': function () {
			$.each(this.listings, function(){
				var hovertrans = $(this).children('.displet-listing-hovertrans');
				$(hovertrans).children('.displet-inner').children('.displet-inner2').css('width', $(hovertrans).parent('.displet-listing').width() + 14);
				$(hovertrans).children('.displet-inner').children('.displet-inner2').css('height', $(hovertrans).parent('.displet-listing').height() + 38);
				$(this).hover(
					function () {
						$(this).children('.displet-listing-hovertrans').stop(true, true).fadeIn(200);
						$(this).children('.displet-listing-info').children('.displet-text-overlay-hovertrans').fadeIn(200);
						$(this).children('.displet-listing-info').children('.displet-text-overlay').fadeOut(200);
					},
					function () {
						$(this).children('.displet-listing-hovertrans').stop(true, true).fadeOut(200);
						$(this).children('.displet-listing-info').children('.displet-text-overlay-hovertrans').fadeOut(200);
						$(this).children('.displet-listing-info').children('.displet-text-overlay').fadeIn(200);
					}
				);
			});
		},

		'_make_pages': function () {
			this.pages = {};

			var pages_count = Math.ceil(this.total_count / this.rpp);
			this.pages_count = pages_count;

			var page = 1;
			this.pages[page] = [];

			for (var i = 0; i < this.total_count; i++) {
				if (i < (page * this.rpp)) {
					this.pages[page].push(i);
				}
				else {
					page++;
					this.pages[page] = [];
					this.pages[page].push(i);
				}
			}
		},

		'next_page': function () {
			var raw_query = $(this.next_button).attr('displet_query');
			var number_check = /[?&]num=([^&]+)/i;
			var number_match = number_check.exec(raw_query);
			if (number_match != null) {
				var number = parseInt(number_match[1]);
			}
			var start_check = /[?&]start=([^&]+)/i;
			var start_match = start_check.exec(raw_query);
			if (start_match != null) {
				var start = parseInt(start_match[1]);
			}
			var new_start = '&start=' + (start + number);
			var new_query = raw_query.replace(start_check, new_start);
			this.total_count = Number($(this.total_count_el[0]).html());
			if ((start + number) <= this.total_count) {
				loadDispletAPIListings(new_query);
			}
		},

		'prev_page': function () {
			var raw_query = $(this.prev_button).attr('displet_query');
			var number_check = /[?&]num=([^&]+)/i;
			var number_match = number_check.exec(raw_query);
			if (number_match != null) {
				var number = parseInt(number_match[1]);
			}
			var start_check = /[?&]start=([^&]+)/i;
			var start_match = start_check.exec(raw_query);
			if (start_match != null) {
				var start = parseInt(start_match[1]);
			}
			var new_start = '&start=' + (start - number);
			var new_query = raw_query.replace(start_check, new_start);
			if ((start - number) >= 1) {
				loadDispletAPIListings(new_query);
			}
		},
	});

	$(function () {
		var last_viewed_orientation = $.cookie('displet_last_viewed_listings_orientation', {path: '/'});
		if (last_viewed_orientation == 'vertical') {
			$('#displet-tile').hide();
			$('#displet-listings').show();
			$('#displet-dynamic .displet-tile-view').removeClass('current');
			$('#displet-dynamic .displet-list-view').addClass('current');
		}
		$('#displet-listings').displet_listings();
	});
})(jQuery);

/*********************
Dynamic View Functions
*********************/

jQuery(document).ready(function($){

	// Toggle view
	$('#displet-dynamic .displet-list-view').click(function() {
		$('#displet-dynamic .displet-tile-view').removeClass('current');
		$('#displet-dynamic .displet-list-view').addClass('current');
		$('#displet-listings').displet_listings('display_this_view');		
	});
	$('#displet-dynamic .displet-tile-view').click(function() {
		$('#displet-dynamic .displet-list-view').removeClass('current');
		$('#displet-dynamic .displet-tile-view').addClass('current');
		$('#displet-tile').displet_tile('display_this_view');
	});

});

/*********************
Quick Search Functions
*********************/

function submitQSearch(url_base) {
	// Build the quick search parameters
	var url = url_base + '#';
	jQuery.each(jQuery('#displet-quick-search .dqs_displet'), function () {
		if (this.value != 'none' && this.value != '' && this.value != this.defaultValue && this.value != 'City, Zip Code, Neighborhood or Condo' && this.value != 'Ex. Pool, Modern, Foreclosure') {
			this.value = this.value.replace(' ', '%20');
			url += this.name + '=' + this.value + '/';
		}
	});
	location.replace(url);
	var current_url_base = 'http://' + window.location.hostname + window.location.pathname;
	if (current_url_base == url_base) {
		window.location.reload();	
	}
	else{
		window.location.load();
	}
}

jQuery(document).ready(function($){
	// Clear form on reload
	$('#displet-quick-search input').val(''); 
	$('#displet-quick-search select').val('none');	
	// Submit quick search on button click
	$('#displet-quick-search .action a').click(function(e) {
		e.preventDefault();
		submitQSearch($(this).attr('href'));
		return false;
	});
	// Submit quick search on enter key
	$('#displet-quick-search').keypress(function(e) {
		if (e.which == 13) {
			e.preventDefault();
			submitQSearch($(this).find('.action').children('a').attr('href'));
			return false;
		}
	});
	// Submit quick search on spacebar key when button selected
	$('#displet-quick-search .action a').keypress(function(e) {
		if (e.which == 32) {
			e.preventDefault();
			submitQSearch($(this).attr('href'));
			return false;
		}
	});
});

/*********************
Sidescroller Widget Functions
*********************/

jQuery(document).ready(function($){
	// Carousel
	try {
		$(".displet-listings-carousel").each(function(){
			$(this).displetRetsIdxCarouselLite({
			    btnNext: "a.displet-navigation-next",
			    btnPrev: "a.displet-navigation-previous",
			    visible: 1,
			    auto: 5000
			});
		});
  	}
  	catch(e){}
});

/*********************
Displet Carousel Functions
*********************/

(function($) {
    $.fn.displetRetsIdxCarouselLite = function(o) {
        o = $.extend({
            btnPrev: null,
            btnNext: null,
            btnGo: null,
            mouseWheel: false,
            auto: null,
            speed: 200,
            easing: null,
            vertical: false,
            circular: true,
            visible: 3,
            start: 0,
            scroll: 1,
            beforeStart: null,
            afterEnd: null
        },
        o || {});
        return this.each(function() {
            var running = false,
            animCss = o.vertical ? "top": "left",
            sizeCss = o.vertical ? "height": "width";
            var div = $(this),
            a = $("a", div),
            ul = $("ul", div),
            tLi = $("li", ul),
            tl = tLi.size(),
            v = o.visible;
            if (o.circular) {
                ul.prepend(tLi.slice(tl - v - 1 + 1).clone()).append(tLi.slice(0, v).clone());
                o.start += v;
            }
            var li = $("li", ul),
            itemLength = li.size(),
            curr = o.start;
            div.css("visibility", "visible");
            li.css({
                overflow: "hidden",
                float: o.vertical ? "none": "left"
            });
            ul.css({
                margin: "0",
                padding: "0",
                position: "relative",
                "list-style-type": "none",
                "z-index": "1"
            });
            div.css({
                overflow: "hidden",
                position: "relative",
                "z-index": "2",
                left: "0px"
            });
            var liSize = o.vertical ? height(li) : width(li);
            var ulSize = liSize * itemLength;
            var divSize = liSize * v;
            li.css({
                width: li.width(),
                height: li.height()
            });
            ul.css(sizeCss, ulSize + "px").css(animCss, -(curr * liSize));
            div.css(sizeCss, divSize + "px");
            var self = this;
            if (o.btnPrev) $(o.btnPrev, div).click(function() {
                clearInterval(self.autoScroll);
                return go(curr - o.scroll);
            });
            if (o.btnNext) $(o.btnNext, div).click(function() {
                clearInterval(self.autoScroll);
                return go(curr + o.scroll);
            });
            if (o.btnGo) $.each(o.btnGo,
            function(i, val) {
                $(val).click(function() {
                    return go(o.circular ? o.visible + i: i);
                });
            });
            if (o.mouseWheel && div.mousewheel) div.mousewheel(function(e, d) {
                return d > 0 ? go(curr - o.scroll) : go(curr + o.scroll);
            });
            if (o.auto) {
                self.autoScroll = setInterval(function() {
                    go(curr + o.scroll);
                },
                o.auto + o.speed);
                div.hover(
                    function() {
                        clearInterval(self.autoScroll);
                    },
                    function() {
                        self.autoScroll = setInterval(function() {
                            go(curr + o.scroll);
                        }, o.auto + o.speed);
                });
            }
            function vis() {
                return li.slice(curr).slice(0, v);
            };
            function go(to) {
                if (!running) {
                    if (o.beforeStart) o.beforeStart.call(this, vis());
                    if (o.circular) {
                        if (to <= o.start - v - 1) {
                            ul.css(animCss, -((itemLength - (v * 2)) * liSize) + "px");
                            curr = to == o.start - v - 1 ? itemLength - (v * 2) - 1: itemLength - (v * 2) - o.scroll;
                        } else if (to >= itemLength - v + 1) {
                            ul.css(animCss, -((v) * liSize) + "px");
                            curr = to == itemLength - v + 1 ? v + 1: v + o.scroll;
                        } else curr = to;
                    } else {
                        if (to < 0 || to > itemLength - v) return;
                        else curr = to;
                    }
                    running = true;
                    ul.animate(animCss == "left" ? {
                        left: -(curr * liSize)
                    }: {
                        top: -(curr * liSize)
                    },
                    o.speed, o.easing,
                    function() {
                        if (o.afterEnd) o.afterEnd.call(this, vis());
                        running = false;
                    });
                    if (!o.circular) {
                        $(o.btnPrev + "," + o.btnNext).removeClass("disabled");
                        $((curr - o.scroll < 0 && o.btnPrev) || (curr + o.scroll > itemLength - v && o.btnNext) || []).addClass("disabled");
                    }
                }
                return false;
            };
        });
    };
    function css(el, prop) {
        return parseInt($.css(el[0], prop)) || 0;
    };
    function width(el) {
        return el[0].offsetWidth + css(el, 'marginLeft') + css(el, 'marginRight');
    };
    function height(el) {
        return el[0].offsetHeight + css(el, 'marginTop') + css(el, 'marginBottom');
    };
})(jQuery);