<?php

function displet_listings_shortcode($attributes){
	// Retrieve default settings from settings page
	$displet_rets_idx_option = displet_rets_idx_get_global_options();

	// Create list of acceptable attributes (array keys) and a $model['key'] from each array key, using the shortcode attribute as the value when specified, else the setting default or other specification in array
	$model = shortcode_atts(array(
		// Has settings defaults
		'orientation' => stripslashes($displet_rets_idx_option['displet_rets_idx_option_orientation']),
		'sort_by' => stripslashes($displet_rets_idx_option['displet_rets_idx_option_sort_by']),
		'sort_order' => stripslashes($displet_rets_idx_option['displet_rets_idx_option_sort_order']),
		'region' => stripslashes($displet_rets_idx_option['displet_rets_idx_option_oodle_region']),
		'category' => stripslashes($displet_rets_idx_option['displet_rets_idx_option_oodle_category']),
		'map' => stripslashes($displet_rets_idx_option['displet_rets_idx_option_include_map']),
		'listings' => true,
		// Has only shortcode attributes
		'caption' => '',
		'minlistprice' => '',
		'maxlistprice' => '',
		'minbedrooms' => '',
		'maxbedrooms' => '',
		'minbathrooms' => '',
		'maxbathrooms' => '',
		'minsquarefeet' => '',
		'maxsquarefeet' => '',
		'area' => '', // IDX only (user-defined area)
		'area_mls_defined' => '',
		'city' => '',
		'property_type' => '',
		'minstories' => '', // IDX only
		'waterfront' => '', // IDX only
		'pool_on_property' => '', 
		'subdivision' => '', // IDX only
		'keyword' => '',
		'school' => '', // IDX only
		'school_district' => '', // IDX only
		'minacres' => '', // IDX only
		'zip' => '',
		'is_foreclosure' => '',
		'yearbuilt' => '', // IDX only - possible to add exact match year for Displet Lite
		'status' => '', // IDX only
		'short_sale' => '', // IDX only
		'last_modified' => '', // IDX only - wasn't there on IDX
		'listing_agent_id' => '', // IDX only
		'listing_office_id' => '', // IDX only
		'min_lot_size' => '', // IDX only - wasn't there on IDX
		'is_gated_community' => '',
		'min_sold_date' => '', // IDX only - wasn't there on IDX
		'max_sold_date' => '', // IDX only - wasn't there on IDX
		'master_on_main' => '', // IDX only - wasn't there on IDX
		'basement' => '', // IDX only - wasn't there on IDX
		'min_square_feet_available' => '', // IDX only - wasn't there on IDX
		'max_square_feet_available' => '', // IDX only - wasn't there on IDX
		'min_price_per_sq_feet' => '', // IDX only - wasn't there on IDX
		'max_price_per_sq_feet' => '', // IDX only - wasn't there on IDX
	), $attributes);

	// Get query from $model and echo into <script>. <script> checks cookie value to load user's last page preferences
	$query_url = DispletRetsIdxQuery::get_query_url($model);
	$model['query_url'] = $query_url;
	echo
		"<script>
			jQuery(document).ready(function($) {
				var last_query_from_this_page = $.cookie('displet_last_viewed_listings_query');
				if (last_query_from_this_page) {
					var normal_query = '" . $query_url . "';
					var number_check = /[?&]num=([^&]+)/i;
					var start_check = /[?&]start=([^&]+)/i;
					var sort_check = /[?&]sort=([^&]+)/i;
					var last_q_stripped = last_query_from_this_page.replace(number_check, '').replace(start_check, '').replace(sort_check, '');
					var normal_q_stripped = normal_query.replace(number_check, '').replace(start_check, '').replace(sort_check, '');
				}
				else {
					var last_q_stripped = false;
					var normal_q_stripped = true;
				}
				if (last_q_stripped == normal_q_stripped) {
					loadDispletAPIListings(last_query_from_this_page);
				}
				else {
					loadDispletAPIListings('" . $query_url . "');
				}
				/*
				loadDispletAPIListings('http://staging.api.displet.com/residentials/search?callback=?&limit=10&priceSorter=asc&returnFields=full_baths,list_price,half_baths,internet_remarks,latitude,list_price,listing_office_name,longitude,mls_number,num_bedrooms,square_feet,street_name,street_number,street_post_dir,street_pre_dir,subdivision,sysid,&city=Austin');
				*/
			});
		</script>";

	// Grab appropriate templates
	$displet_templates = '';
	if ($model['caption'] != '') {
		$displet_templates .= '<h2>' . $model['caption'] . '</h2>';	
	}
	if ($model['map'] != false && $model['map'] !== 'false' && $model['map'] !== 'no') {
		$displet_templates .= DispletRetsIdxLoad::get_template('displet-map.php', $model);	
	}
	if ($model['listings'] != false && $model['listings'] !== 'false' && $model['listings'] !== 'no') {
		$displet_templates .= DispletRetsIdxLoad::get_template('displet-dynamic.php', $model);
	}

	return $displet_templates;
}
add_shortcode('DispletListing', 'displet_listings_shortcode');

?>