<?php
	// Get settings
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	// Populate empty if from quick search
	if ($model['from_quick_search']) {
		$fake_json_listings = '';
		for ($i=0; $i < $displet_rets_idx_option['displet_rets_idx_option_listings_per_page']; $i++) { 
			$fake_json_listings .= '{},';
		}
		$fake_json = '{"meta":{"first":1,"last":' . intval($displet_rets_idx_option['displet_rets_idx_option_listings_per_page']) . ',"total":' . intval($displet_rets_idx_option['displet_rets_idx_option_listings_per_page']) . '},"listings":[' . rtrim($fake_json_listings, ',') . ']}';
		$json_data = json_decode($fake_json);
	}
	// Get raw data from json API server-side for crawlable content
	else{
		$json_array = wp_remote_get($model['query_url']);
		$json_data = json_decode($json_array['body']);
	}
?>
<!--[if lt IE 9]>
	<style>
		.tileoverlay div {
			/* IE8+ - must be on one line, unfortunately */
			-ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=0.7071067811865474, M12=-0.7071067811865477, M21=0.7071067811865477, M22=0.7071067811865474, SizingMethod='auto expand')";
			/* IE6 and 7 */
			filter: progid:DXImageTransform.Microsoft.Matrix(
				M11=0.7071067811865474,
				M12=-0.7071067811865477,
				M21=0.7071067811865477,
				M22=0.7071067811865474,
				SizingMethod='auto expand');
			margin-left: 20px !important;
			margin-top: 3px !important;
			width: 100px;
		}
	</style>
<![endif]-->
<div id="displet-dynamic">
	<div class="displet-orientation">
		<a class="displet-tile-view<?php if ($displet_rets_idx_option['displet_rets_idx_option_listings_orientation'] == 'gallery') echo ' current' ?>">Gallery</a>
		<a class="displet-list-view<?php if ($displet_rets_idx_option['displet_rets_idx_option_listings_orientation'] == 'list') echo ' current' ?>">List</a>
		<div class="displet-clear"><!-- --></div>
	</div>
	<div id="displet-tile"<?php if ($displet_rets_idx_option['displet_rets_idx_option_listings_orientation'] == 'list') echo ' style="display:none;"' ?>>
		<div class="displet-tile-controls">
			<div class="displet-tile-counts">
				<span class="displet-tile-counts-first displet-first-listings-value"><?php echo $json_data->meta->first ?></span>
				&ndash;
				<span class="displet-tile-counts-last displet-last-listings-value"><?php echo $json_data->meta->last ?></span>
				of
				<span class="displet-tile-counts-total displet-total-listings-value"><?php echo $json_data->meta->total ?></span>
			</div>
			<a href="#prev" class="displet-tile-control-prev-link displet-previous-link">
				<span class="displet-tile-control-prev-icon">&laquo;</span>
				<span class="displet-tile-control-prev">Prev</span>
			</a>
			<a href="#next" class="displet-tile-control-next-link displet-next-link">
				<span class="displet-tile-control-next">Next</span>
				<span class="displet-tile-control-next-icon">&raquo;</span>
			</a>
			<select class="displet-tile-sortby" name="sort_by">
				<option value="">Sort By</option>
				<option value="price-ascending">Price Low to High</option>
				<option value="price-descending">Price High to Low</option>
			</select>
		</div>
		<div class="displet-tile-listings displet_json_response">
			<?php
				$i = 1;
				foreach ($json_data->listings as $listing) :
			?>
				<a class="displet-tile-listing displet-listing-<?php echo $i; ?> displet-listing" href="<?php $listing_base_url = get_permalink($displet_rets_idx_option['displet_rets_idx_option_property_details_page_id']); echo rtrim($listing_base_url, '/') . '/' . $listing->id; ?>" name="<?php echo $listing_base_url; ?>">
					<div class="displet-tile-hovertrans">
						<div class="displet-inner">
							<div class="displet-inner2"><!-- --></div>
						</div>
					</div>
					<div class="displet-tile-thumb-container">
						<img class="displet-image-value"<?php if ($listing->images[0]->src) echo ' src=' . $listing->images[0]->src; ?> />
						<div class="tileoverlay contract" style="display:none;"><div>Under Contract</div></div>
						<div class="tileoverlay contingency" style="display:none;"><div>Contingency</div></div>
					</div>
					<div class="displet-tile-price-container">
						<span class="displet-dollar">$</span>
						<span class="displet-tile-listing-price displet-price-value">
							<?php echo $listing->attributes->price; ?>
						</span>
						<div class="displet-clear"><!-- --></div>
					</div>
					<div class="displet-tile-info">
						<div class="displet-tile-address">
							<div class="displet-street-address displet-address-value">
								<?php echo $listing->location->address; ?>
							</div>
							<div class="displet-city-state-zip">
								<span class="displet-city-value"><?php echo $listing->location->name; ?></span>,
								<span class="displet-state-value"><?php echo $listing->location->state; ?></span>
								<span class="displet-zip-value"><?php echo $listing->location->zip; ?></span>
							</div>
						</div>
						<div class="displet-tile-specs">
							<div class="displet-beds-baths">
								<span class="displet-beds">
									<span class="displet-beds-value">
										<?php echo $listing->attributes->bedrooms; ?>
									</span>
									Bed /
								</span>
								<span class="displet-baths">
									<span class="displet-full-baths displet-baths-value">
										<?php echo $listing->attributes->bathrooms; ?>
									</span>
									Bath
								</span>
							</div>
							<div class="displet-square-feet">
								<span class="displet-square-feet-value"><?php echo $listing->attributes->square_feet; ?></span>
								Sq. Ft.
							</div>
							<div class="displet-property-type">
								Property Type:
								<span class="displet-property-type-value"><?php $property_type = str_replace('Houses', 'House', $listing->category->name); echo str_replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt', $property_type); ?></span>
							</div>
						</div>
					</div>
				</a>
			<?php
				$i++; endforeach;
			?>
		</div>
		<div class="displet-clear"><!-- --></div>
		<div class="displet-tile-controls">
			<div class="displet-tile-counts">
				<span class="displet-tile-counts-first displet-first-listings-value"><?php echo $json_data->meta->first; ?></span>
				&ndash;
				<span class="displet-tile-counts-last displet-last-listings-value"><?php echo $json_data->meta->last; ?></span>
				of
				<span class="displet-tile-counts-total displet-total-listings-value"><?php echo $json_data->meta->total; ?></span>
			</div>
			<a href="#prev" class="displet-tile-control-prev-link displet-previous-link">
				<span class="displet-tile-control-prev-icon">&laquo;</span>
				<span class="displet-tile-control-prev">Prev</span>
			</a>
			<a href="#next" class="displet-tile-control-next-link displet-next-link">
				<span class="displet-tile-control-next">Next</span>
				<span class="displet-tile-control-next-icon">&raquo;</span>
			</a>
		</div>
		<div class="displet-powered">
			Powered by
			<?php if ($displet_rets_idx_option['displet_rets_idx_option_no_link']) : ?>
				Displet Real Estate Search
			<?php else : ?>
				<a href="http://displet.com/wordpress-plugins/displet-rets-idx-plugin/" target="_blank">Displet Real Estate Search</a>
			<?php endif; ?>
		</div>
		<?php if ($displet_rets_idx_option['displet_rets_idx_option_disclaimer']) : ?>
			<div class="displet-tile-disclaimer">
				<?php echo $displet_rets_idx_option['displet_rets_idx_option_disclaimer']; ?>
			</div>
		<?php endif; ?>
	</div>

	<div id="displet-listings"<?php if ($displet_rets_idx_option['displet_rets_idx_option_listings_orientation'] == 'gallery') echo ' style="display:none;"' ?>>
		<div class="displet-listings-controls">
			<div class="displet-listings-counts">
				<span class="displet-listings-counts-first displet-first-listings-value"><?php echo $json_data->meta->first ?></span>
				&ndash;
				<span class="displet-listings-counts-last displet-last-listings-value"><?php echo $json_data->meta->last; ?></span>
				of
				<span class="displet-listings-counts-total displet-total-listings-value"><?php echo $json_data->meta->total; ?></span>
			</div>
			<a href="#prev" class="displet-listings-control-prev-link displet-previous-link">
				<span class="displet-listings-control-prev-icon">&laquo;</span>
				<span class="displet-listings-control-prev">Prev</span>
			</a>
			<a href="#next" class="displet-listings-control-next-link displet-next-link">
				<span class="displet-listings-control-next">Next</span>
				<span class="displet-listings-control-next-icon">&raquo;</span>
			</a>
			<select class="displet-listings-sortby" name="sort_by">
				<option value="">Sort By</option>
				<option value="price-ascending">Price Low to High</option>
				<option value="price-descending">Price High to Low</option>
			</select>
		</div>
		<div class="displet-vertical-listings displet_json_response">
			<?php
				$i = 1;
				foreach ($json_data->listings as $listing) :
			?>
				<a class="displet-listing displet-listing-<?php echo $i; ?> .displet-listing" href="javascript:void(0);">
					<div class="displet-listing-hovertrans">
						<div class="displet-inner">
							<div class="displet-inner2"><!-- --></div>
						</div>
					</div>
					<div class="displet-listing-thumb-container">
						<img class="displet-image-value"<?php if ($listing->images[0]->src) echo ' src=' . $listing->images[0]->src; ?> />
						<div class="tileoverlay contract" style="display:none;"><div>Under Contract</div></div>
						<div class="tileoverlay contingency" style="display:none;"><div>Contingency</div></div>
					</div>
					<div class="displet-listing-info">
						<div class="displet-listing-price">
							<span class="displet-listing-dollar">$</span>
							<span class="displet-listing-price-value displet-price-value"><?php echo $listing->attributes->price; ?></span>
						</div>
						<div class="displet-listing-address">
							<span class="displet-address">
								<span class="displet-address-value"><?php echo $listing->location->address; ?></span>
								|
							</span>
								<span class="displet-city displet-city-value"><?php echo $listing->location->name; ?></span>,
								<span class="displet-state displet-state-value"><?php echo $listing->location->state; ?></span>
								<span class="displet-zip displet-zip-value"><?php echo $listing->location->zip; ?></span>
						</div>
						<div class="displet-clear"><!-- --></div>
						<table class="displet-listing-specs">
							<thead>
								<tr>
									<th class="displet-mls">MLS#</th>
									<th class="displet-property-type">Property Type</th>
									<th class="displet-beds">Beds</th>
									<th class="displet-baths">Baths</th>
									<th class="displet-square-feet">Square Ft</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td class="displet-mls displet-mls-value"><?php echo $listing->attributes->mls_id; ?></td>
									<td class="displet-property-type displet-property-type-value"><?php $property_type = str_replace('Houses', 'House', $listing->category->name); echo str_replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt', $property_type); ?></td>
									<td class="displet-beds displet-beds-value"><?php echo $listing->attributes->bedrooms; ?></td>
									<td class="displet-baths displet-baths-value"><?php echo $listing->attributes->bathrooms; ?></td>
									<td>
										<span class="displet-square-feet">
											<span class="displet-square-feet-value"><?php echo $listing->attributes->square_feet; ?></span>
											s.f.
										</span>
									</td>
								</tr>
							</tbody>
						</table>
						<div class="displet-description displet-description-value">
							<?php echo $listing->body; ?>
						</div>
						<div class="displet-text-overlay"><!-- --></div>
						<div class="displet-text-overlay-hovertrans"><!-- --></div>
					</div>
					<div class="displet-clear"><!-- --></div>
				</a>
			<?php
				$i++; endforeach;
			?>
		</div>
		<div class="displet-listings-controls">
			<div class="displet-listings-counts">
				<span class="displet-listings-counts-first displet-first-listings-value"><?php echo $json_data->meta->first ?></span>
				&ndash;
				<span class="displet-listings-counts-last displet-last-listings-value"><?php echo $json_data->meta->last; ?></span>
				of
				<span class="displet-listings-counts-total displet-total-listings-value"><?php echo $json_data->meta->total; ?></span>
			</div>
		
			<a href="#prev" class="displet-listings-control-prev-link displet-previous-link">
				<span class="displet-listings-control-prev-icon">&laquo;</span>
				<span class="displet-listings-control-prev">Prev</span>
			</a>
			<a href="#next" class="displet-listings-control-next-link displet-next-link">
				<span class="displet-listings-control-next">Next</span>
				<span class="displet-listings-control-next-icon">&raquo;</span>
			</a>
		</div>
		<div class="displet-powered">
			Powered by
			<?php if ($displet_rets_idx_option['displet_rets_idx_option_no_link']) : ?>
				Displet Real Estate Search
			<?php else : ?>
				<a href="http://displet.com/wordpress-plugins/displet-rets-idx-plugin/" target="_blank">Displet Real Estate Search</a>
			<?php endif; ?>
		</div>
		<?php if ($displet_rets_idx_option['displet_rets_idx_option_disclaimer']) : ?>
			<div class="displet-tile-disclaimer">
				<?php echo $displet_rets_idx_option['displet_rets_idx_option_disclaimer']; ?>
			</div>
		<?php endif; ?>
	</div>
	<div class="displet-listings-loading" style="display: none;"><!-- --></div>
</div>