<?php
	// Get settings
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	// Get raw data from json API server-side for crawlable content
	if (!empty($model['property_id'])) {	
		$json_array = wp_remote_get('http://api.oodle.com/api/v2/listings?key=579B95506556&format=json&jsoncallback=none&region=usa&q=' . $model['property_id']);
		$json_data = json_decode($json_array['body']);
		$listing = $json_data->listings[0];
	}
 ?>
<div id="displet-property-details">
	<div class="displet-property-details-content"<?php if ($listing) echo ' style="display: block !important;"'; ?>>
		<table class="displet-header">
			<tr>
				<td class="displet-address">
					<h2 class="displet-address-primary displet-address-value">
						<?php echo $listing->location->address; ?>
					</h2>
					<h3 class="displet-address-secondary displet-city displet-state displet-zip">
						<span class="displet-city-value"><?php echo $listing->location->name; ?></span>,
						<span class="displet-state-value"><?php echo $listing->location->state; ?></span>
						<span class="displet-zip-value"><?php echo $listing->location->zip; ?></span>
					</h3>
				</td>
				<td>
					<h2 class="displet-price">
						<span class="displet-dollar">$<span class="displet-price-value"><?php echo $listing->attributes->price; ?></span></span>
					</h2>
					<div class="displet-clear"><!-- --></div>
				</td>
			</tr>
		</table>
		<table class="displet-action">
			<tr>
				<td>
					<a class="displet-request-showing" href="javascript:void(0);">
						Request Info/ Showing
					</a>
				</td>
				<?php if (!empty($displet_rets_idx_option['displet_rets_idx_option_phone'])) : ?>
					<td>
						<div class="displet-phone">
							Any Questions? Call Us at <?php echo $displet_rets_idx_option['displet_rets_idx_option_phone']; ?>
						</div>
					</td>
				<?php endif; ?>
				<td>
					<a class="displet-email-friend" href="javascript:void(0);">
						Email to a Friend
					</a>
				</td>
			</tr>
		</table>
		<div class="displet-description">
			<h4 class="displet-description-title">Property Description</h4>
			<div class="displet-description-value"><?php echo $listing->body; ?></div>
		</div>
		<div class="displet-photos-wrapper displet-photos">
			<div class="displet-photos-large-value"><!-- --></div>
			<div class="displet-photos-thumbs-value"><!-- --></div>
			<div class="displet-clear"><!-- --></div>
		</div>
		<div class="displet-details-section">
			<h4 class="displet-description-title">Property Details</h4>
			<table class="displet-details">
				<tr>
					<td class="displet-details-first">	
						<table>
							<tr class="displet-property-type">
								<td class="displet-detail-title">Property Type:</td>
								<td class="displet-property-type-value"><?php $property_type = str_replace('Houses', 'House', $listing->category->name); echo str_replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt', $property_type); ?></td>
							</tr>
							<tr class="displet-beds">
								<td class="displet-detail-title">Bedrooms:</td>
								<td class="displet-beds-value"><?php echo $listing->attributes->bedrooms; ?></td>
							</tr>
							<tr class="displet-baths">
								<td class="displet-detail-title">Bathrooms:</td>
								<td class="displet-baths-value"><?php echo $listing->attributes->bathrooms; ?></td>
							</tr>
							<tr class="displet-square-feet">
								<td class="displet-detail-title">Square Feet:</td>
								<td class="displet-square-feet-value"><?php echo $listing->attributes->square_feet; ?></td>
							</tr>
						</table>
					</td>
					<td class="displet-details-second">
						<table>
							<tr class="displet-mls">
								<td class="displet-detail-title">MLS #:</td>
								<td class="displet-mls-value"><?php echo $listing->attributes->mls_id; ?></td>
							</tr>
							<tr class="displet-year-built">
								<td class="displet-detail-title">Year Built:</td>
								<td class="displet-year-built-value"><?php echo $listing->attributes->year; ?></td>
							</tr>
							<tr class="displet-amenities">
								<td class="displet-detail-title">Amenities:</td>
								<td class="displet-amenities-value"><?php echo $listing->attributes->amenities; ?></td>
							</tr>		
						</table>
					</td>
				</tr>
			</table>
		</div>
		<div class="displet-map-tabs">
			<a class="displet-map-select displet-active" href="javascript:void(0);">
				Map
			</a>
			<a class="displet-street-view-select" href="javascript:void(0);">
				Street View
			</a>
			<div class="displet-clear"><!-- --></div>
		</div>
		<div class="displet-map">
			<!-- -->
		</div>
		<div class="displet-powered">
			Powered by
			<?php if ($displet_rets_idx_option['displet_rets_idx_option_no_link']) : ?>
				Displet Real Estate Search
			<?php else : ?>
				<a href="http://displet.com/wordpress-plugins/displet-rets-idx-plugin/" target="_blank">Displet Real Estate Search</a>
			<?php endif; ?>
		</div>
		<?php if ($displet_rets_idx_option['displet_rets_idx_option_disclaimer']) : ?>
			<div class="displet-disclaimer">
				<?php echo $displet_rets_idx_option['displet_rets_idx_option_disclaimer']; ?>
			</div>
		<?php endif; ?>
	</div>
	<div class="displet-listings-loading"><!-- --></div>
	<span class="displet-request-showing-popup-wrapper" style="display:none;">
		<div class="displet-shadow"><!-- --></div>
		<div class="displet-request-showing-popup">
			<table class="displet-inner">
				<tr>
					<td>
						<div class="displet-popup-back"><!-- --></div>
						<div class="displet-popup">
							<div class="displet-popup-inner">
								<div class="displet-title">
									Request Showing or Information
								</div>
								<div class="displet-content">
									<div class="displet-address">
										<b>
											Address
										</b>
										<span class="displet-address-value">
											<?php echo $listing->location->address; ?>
										</span>
									</div>
									<div class="displet-mls">
										<b>
											MLS #
										</b>
										<span class="displet-mls-value">
											<?php echo $listing->attributes->mls_id; ?>
										</span>
									</div>
									<div class="displet-form">
										<div class="displet-input">
											<input class="displet-user-name" type="text" name="name" placeholder="Name">
											<span class="displet-required">
												*
											</span>
										</div>
										<div class="displet-input">
											<input class="displet-user-email" type="text" name="email" placeholder="Email Address">
											<span class="displet-required">
												*
											</span>
										</div>
										<div class="displet-input">
											<input class="displet-user-phone" type="text" name="phone" placeholder="Phone #">
											<span class="displet-required">
												*
											</span>
										</div>
										<div class="displet-input displet-appointments">
											<input class="displet-user-appointment2" id="showing_request_appointment2_at" class="hasDatepicker" type="text" name="Appointment2" placeholder="2nd choice">
											<input class="displet-user-appointment1" id="showing_request_appointment1_at" class="hasDatepicker" type="text" name="Appointment1" placeholder="1st choice">
											Preferred Date &amp; Time
											<div class="displet-clear"><!-- --></div>
										</div>
										<textarea class="displet-user-message" name="comments" placeholder="Enter any comments"></textarea>
										<div class="displet-required-description">
											* indicates a required field
										</div>
										<div class="displet-submit">
											Send
										</div>
									</div>
								</div>
								<div class="displet-close">
									Close
								</div>
							</div>
						</div>
					</td>
				</tr>
			</table>
		</div>
	</span>
	<span class="displet-email-friend-popup-wrapper" style="display:none;">
		<div class="displet-shadow"><!-- --></div>
		<div class="displet-email-friend-popup">
			<table class="displet-inner">
				<tr>
					<td>
						<div class="displet-popup-back"><!-- --></div>
						<div class="displet-popup">
							<div class="displet-popup-inner">
								<div class="displet-title">
									Email To A Friend
								</div>
								<div class="displet-content">
									<div class="displet-form">
										<div class="displet-input">
											<div class="displet-label">
												Friend's name:
											</div>
											<input class="displet-friend-name" type="text" name="name">
										</div>
										<div class="displet-input">
											<div class="displet-label">
												Friend's email address:
											</div>
											<input class="displet-friend-email" type="text" name="email">
										</div>
										<div class="displet-input">
											<div class="displet-label">
												Your message:
											</div>
											<textarea class="displet-user-message" name="comments"></textarea>
										</div>
										<div class="displet-submit">
											Send
										</div>
									</div>
								</div>
								<div class="displet-close">
									Close
								</div>
							</div>
						</div>
					</td>
				</tr>
			</table>
		</div>
	</span>
</div>