<?php
	// Get settings
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	// Determine sizing
	$tdwidth = 15;
	$numbertds = 0;
	$numbertd2s = 0;
	if ($model['price']) $numbertds+=2;
	if ($model['beds_baths']) $numbertds+=2;
	if ($model['property_type']) $numbertds++;
	if ($model['keywords']) $numbertd2s++;
	if ($model['quick_terms']) $numbertd2s++;
	if ($numbertds<4 && $numbertds>0 && $numbertd2s==2) $tdwidth = 40/$numbertds;
	if ($numbertds<4 && $numbertds>0 && $numbertd2s==1) $tdwidth = 60/$numbertds;
	if ($numbertds>=4 && $numbertd2s==2) $tdwidth = 60/$numbertds;
	if ($numbertds>=4 && $numbertd2s==1) $tdwidth = 80/$numbertds;
	if ($numbertds>0 && $numbertd2s==0) $tdwidth = 100/$numbertds;
 ?>
<?php if ($model['title']) : ?>
	<h2><?php echo $model['title']; ?></h2>
<?php endif; ?>
<div id="displet-quick-search" class="horizontal">
	<table>
		<tr>
			<td class="fields">
				<table>
					<tr>
						<?php if ($model['quick_terms']) : ?>
							<td class="input">
								<input type="text" id="dqs_quickterms" name="quick_terms" class="dqs_displet" value="" placeholder="City, Zip Code, Neighborhood or Condo">
							</td>
						<?php endif; ?>
						<?php if ($model['property_type']) : ?>
							<td class="select" width="<?php echo $tdwidth; ?>%">
								<select id="dqs_property_type" name="property_type" class="dqs_displet">
									<option value="none" selected="selected" disabled="disabled">Property Type</option>
									<?php
										$property_types = $displet_rets_idx_option['displet_rets_idx_option_qs_property_types'];
										foreach ($property_types as $property_type_key => $property_type_value) {
											if ($property_type_value == 'true') {
												echo '<option value="' . trim($property_type_key) . '">' . trim($property_type_key) . '</option>';
											}
										}
									?>
								</select>
							</td>
						<?php endif; ?>
						<?php if ($model['price']) : ?>
							<td class="select" width="<?php echo $tdwidth; ?>%">
								<select id="dqs_minListPrice" name="minListPrice" class="dqs_displet">
									<option value="none" selected="selected" disabled="disabled">Min Price</option>
									<?php
										for ($i=intval($displet_rets_idx_option['displet_rets_idx_option_qs_min_price']); $i <= intval($displet_rets_idx_option['displet_rets_idx_option_qs_max_price']); $i+=intval($displet_rets_idx_option['displet_rets_idx_option_qs_price_increment'])) { 
											echo '<option value="' . $i . '">$' . number_format($i) . ',000</option>';
										}
									?>
								</select>
							</td>
							<td class="select" width="<?php echo $tdwidth; ?>%">
								<select id="dqs_maxListPrice" name="maxListPrice" class="dqs_displet">
									<option value="none" selected="selected" disabled="disabled">Max Price</option>
									<?php
										for ($i=intval($displet_rets_idx_option['displet_rets_idx_option_qs_min_price']); $i <= intval($displet_rets_idx_option['displet_rets_idx_option_qs_max_price']); $i+=intval($displet_rets_idx_option['displet_rets_idx_option_qs_price_increment'])) { 
											echo '<option value="' . $i . '">$' . number_format($i) . ',000</option>';
										}
									?>
								</select>
							</td>
						<?php endif; ?>
						<?php if ($model['beds_baths']) : ?>
							<td class="select" width="<?php echo $tdwidth; ?>%">
								<select id="dqs_minBedrooms" name="minBedrooms" class="dqs_displet">
									<option value="none" selected="selected" disabled="disabled">Min Beds</option>
									<?php
										for ($i=intval($displet_rets_idx_option['displet_rets_idx_option_qs_beds_min']); $i <= intval($displet_rets_idx_option['displet_rets_idx_option_qs_beds_max']); $i++) { 
											echo '<option value="' . $i . '">' . $i . '</option>';
										}
									?>
								</select>
							</td>
							<td class="select" width="<?php echo $tdwidth; ?>%">
								<select id="dqs_minBathrooms" name="minBathrooms" class="dqs_displet">
									<option value="none" selected="selected" disabled="disabled">Min Baths</option>
									<?php
										for ($i=intval($displet_rets_idx_option['displet_rets_idx_option_qs_baths_min']); $i <= intval($displet_rets_idx_option['displet_rets_idx_option_qs_baths_max']); $i++) { 
											echo '<option value="' . $i . '">' . $i . '</option>';
										}
									?>
								</select>
							</td>
						<?php endif; ?>
						<?php if ($model['keywords']) : ?>
							<td class="input">
								<input type="text" id="dqs_keyword" name="keyword" class="dqs_displet" value="" placeholder="Keywords: Pool, Modern, Foreclosure, etc.">
							</td>
						<?php endif; ?>
					</tr>
				</table>
			</td>
			<td class="action">
				<a href="<?php echo get_permalink($displet_rets_idx_option['displet_rets_idx_option_search_results_page_id']); ?>" id="dqs_action" class="<?php echo $model['color']; ?>">View Results</a>
			</td>
		</tr>
	</table>
</div>