<?php
	// Get settings
	$displet_rets_idx_option = displet_rets_idx_get_global_options();
	// Get raw data from json API server-side for crawlable content
	$json_array = wp_remote_get($model['query_url']);
	$json_data = json_decode($json_array['body']);
?>
<div id="displet-sidescroller-widget" class="displet-listings-carousel">
	<?php if (isset($json_data->listings) && count($json_data->listings > 0)) : ?>
		<ul>
		<?php $i = 1; foreach ($json_data->listings as $listing) : ?>
			<li><a class="displet-sidescroller-widget-listing displet-listing-<?php echo $i; ?>" href="<?php $listing_base_url = get_permalink($displet_rets_idx_option['displet_rets_idx_option_property_details_page_id']); echo rtrim($listing_base_url, '/') . '/' . $listing->id; ?>" name="<?php echo $listing_base_url; ?>">
				<div class="displet-sidescroller-widget-thumb-container">
					<img class="displet-image-value"<?php if ($listing->images[0]->src) echo ' src=' . $listing->images[0]->src; ?> />
				</div>
				<div class="displet-sidescroller-widget-price-container">
					<span class="displet-dollar">$</span>
					<span class="displet-sidescroller-widget-listing-price displet-price-value">
						<?php echo is_numeric($listing->attributes->price) ? number_format($listing->attributes->price) : $listing->attributes->price; ?>
					</span>
					<div class="displet-clear"><!-- --></div>
				</div>
				<div class="displet-sidescroller-widget-info">
					<div class="displet-sidescroller-widget-address">
						<div class="displet-street-address displet-address-value">
							<?php echo $listing->location->address; ?>
						</div>
						<div class="displet-city-state-zip">
							<span class="displet-city-value"><?php echo $listing->location->name; ?></span>,
							<span class="displet-state-value"><?php echo $listing->location->state; ?></span>
							<span class="displet-zip-value"><?php echo $listing->location->zip; ?></span>
						</div>
					</div>
					<div class="displet-sidescroller-widget-specs">
							<div class="displet-beds-baths">
								<span class="displet-beds displet-beds-value">
									<?php echo $listing->attributes->bedrooms; ?>
								</span>
								Bed /
								<span class="displet-full-baths displet-baths-value">
									<?php echo $listing->attributes->bathrooms; ?>
								</span>
								Bath
							</div>
							<div class="displet-square-feet">
								<span class="displet-square-feet-value"><?php echo is_numeric($listing->attributes->square_feet) ? number_format($listing->attributes->square_feet) : $listing->attributes->square_feet; ?></span>
								Sq. Ft.
							</div>
							<div class="displet-property-type">
								Property Type:
								<span class="displet-property-type-value"><?php $property_type = str_replace('Houses', 'House', $listing->category->name); echo str_replace('Condos, Townhouses & Apts for Sale', 'Condo / Townhouse / Apt', $property_type); ?></span>
							</div>
					</div>
				</div>
				<div class="displet-view-details">
					View Details
				</div>
			</a></li>
		<?php $i++; endforeach; ?>
		</ul>
		<div class="displet-navigation">
			<div class="displet-navigation-inner">	
				<a class="displet-navigation-previous">
					Previous
				</a>
				<a class="displet-navigation-next">
					Next
				</a>
			</div>
		</div>
	<?php else : ?>
		<div class="displet-sidescroller-widget-no-results"><span>No listings available</span></div>
	<?php endif ?>
</div>